## python-pyotp 2.1.1

=== requirements.txt ===
future==0.15.2

=== debian/changelog ===
python-pyotp (2.1.1-2) unstable; urgency=high

  * Fix FTBFS on 32-bit platforms (Closes: #831399).
  * debian/control:
    - Add Python version informations in the short descriptions.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 15 Jul 2016 16:45:17 +0200

python-pyotp (2.1.1-1) unstable; urgency=low

  * Initial release (Closes: #829703).

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 3 Jul 2016 18:05:34 +0200

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyotp
export PYBUILD_TEST_ARGS=-s {dir}/ -p "test.py"

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-pyotp 2.2.1

=== debian/changelog ===
python-pyotp (2.2.1-1) unstable; urgency=medium

  * New upstream release:
    - Fix failing tests (Closes: #836824).
  * Remove debian/patches/timedelta-ingest-timestamp.patch: Integrated in new
    upstream version.
  * Remove useless PYBUILD_TEST_ARGS line in debian/rules.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 09 Sep 2016 17:41:55 +0200

=== debian/control ===
Source: python-pyotp
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 9), 
               dh-python,
               python-all,
               python-setuptools,
               python-future,
               python3-all,
               python3-setuptools,
               python3-future
Standards-Version: 3.9.8
Homepage: https://github.com/pyotp/pyotp
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pyotp.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-pyotp.git

Package: python-pyotp
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
XB-Python-Egg-Name: pyotp
Description: Python One Time Password Library (Python 2)
 This package contains a Python library for generating and verifying one-time
 passwords. It can be used to implement two-factor (2FA) or multi-factor (MFA)
 authentication methods in web applications and in other systems that
 require users to log in.
 .
 Quick overview of using One Time Passwords on your phone
 --------------------------------------------------------
 .
  * OTPs involve a shared secret, stored both on the phone and the server
  * OTPs can be generated on a phone without internet connectivity
  * OTPs should always be used as a second factor of authentication(if your
    phone is lost, you account is still secured with a password)
  * Google Authenticator allows you to store multiple OTP secrets and provision
    those using a QR Code(no more typing in the secret)
 .
 This package contains the Python 2 version of pyotp.

Package: python3-pyotp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
XB-Python-Egg-Name: pyotp
Description: Python One Time Password Library (Python 3)
 This package contains a Python library for generating and verifying one-time
 passwords. It can be used to implement two-factor (2FA) or multi-factor (MFA)
 authentication methods in web applications and in other systems that
 require users to log in.
 .
 Quick overview of using One Time Passwords on your phone
 --------------------------------------------------------
 .
  * OTPs involve a shared secret, stored both on the phone and the server
  * OTPs can be generated on a phone without internet connectivity
  * OTPs should always be used as a second factor of authentication(if your
    phone is lost, you account is still secured with a password)
  * Google Authenticator allows you to store multiple OTP secrets and provision
    those using a QR Code(no more typing in the secret)
 .
 This package contains the Python 3 version of pyotp.

## python-pyotp 2.2.6

=== debian/changelog ===
python-pyotp (2.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * debian/control:
    - Depend on debhelper >= 10 instead of >= 9.
    - Bump Standards-Version to 4.1.0.
  * Bump compat from 9 to 10.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 05 Oct 2017 15:18:14 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 9), 
+Build-Depends: debhelper (>= 10),
                dh-python,
                python-all,
                python-setuptools,
@@ -10,7 +10,7 @@
                python3-all,
                python3-setuptools,
                python3-future
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/pyotp/pyotp
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-pyotp.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-pyotp.git

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyotp/pyotp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyotp 2.2.7

=== Makefile ===
SHELL=/bin/bash -e

wheel: lint clean
	./setup.py bdist_wheel

test_deps:
	pip install coverage flake8

lint: test_deps
	python setup.py flake8

test: test_deps lint
	coverage run setup.py test

init_docs:
	cd docs; sphinx-quickstart

docs:
	$(MAKE) -C docs html

install: clean
	python ./setup.py bdist_wheel
	pip install --upgrade dist/*.whl

clean:
	-rm -rf build dist
	-rm -rf *.egg-info

.PHONY: wheel lint test test_deps docs install clean

include common.mk

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pyotp.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pyotp.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pyotp"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pyotp"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-pyotp (2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.3.0.
    - Update description to remove bad looking separation line.
  * debian/copyright:
    - Add entry for Andrey Kislyuk.
    - Bump copyright years.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Wed, 23 Jan 2019 13:46:02 +0100

python-pyotp (2.2.6-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Hugo Lefeuvre ]
  * debian/control:
    - Bump Standards-Version to 4.1.5.
    - Bump debhelper dependency to match new compat.
    - Add autopkgtest stanza.
    - Remove useless XB-Python-Egg-Name fields.
  * Bump debian/compat to 11.
  * Update debian/copyright years.
  * Bump debian/watch to version 4.
  * Remove trailing whitespaces from debian/changelog.

 -- Hugo Lefeuvre <hle@debian.org>  Thu, 02 Aug 2018 15:18:35 +0800

=== debian/control ===
Source: python-pyotp
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python-all,
               python-future,
               python-setuptools,
               python3-all,
               python3-future,
               python3-setuptools
Standards-Version: 4.3.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pyotp/pyotp
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyotp.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyotp

Package: python-pyotp
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends}
Recommends: ${python:Recommends}
Suggests: ${python:Suggests}
Description: Python One Time Password Library (Python 2)
 This package contains a Python library for generating and verifying one-time
 passwords. It can be used to implement two-factor (2FA) or multi-factor (MFA)
 authentication methods in web applications and in other systems that
 require users to log in.
 .
 Quick overview of using One Time Passwords on your phone:
 .
  * OTPs involve a shared secret, stored both on the phone and the server
  * OTPs can be generated on a phone without internet connectivity
  * OTPs should always be used as a second factor of authentication(if your
    phone is lost, you account is still secured with a password)
  * Google Authenticator allows you to store multiple OTP secrets and provision
    those using a QR Code(no more typing in the secret)
 .
 This package contains the Python 2 version of pyotp.

Package: python3-pyotp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python One Time Password Library (Python 3)
 This package contains a Python library for generating and verifying one-time
 passwords. It can be used to implement two-factor (2FA) or multi-factor (MFA)
 authentication methods in web applications and in other systems that
 require users to log in.
 .
 Quick overview of using One Time Passwords on your phone:
 .
  * OTPs involve a shared secret, stored both on the phone and the server
  * OTPs can be generated on a phone without internet connectivity
  * OTPs should always be used as a second factor of authentication(if your
    phone is lost, you account is still secured with a password)
  * Google Authenticator allows you to store multiple OTP secrets and provision
    those using a QR Code(no more typing in the secret)
 .
 This package contains the Python 3 version of pyotp.

## python-pyotp 2.3.0

=== debian/changelog ===
python-pyotp (2.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Drop Python 2 support.
  * debian/control:
    - Bump debhelper dependency to = 12.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 27 Jul 2019 19:35:36 -0300

=== debian/control ===
Source: python-pyotp
Section: python
Priority: optional
Maintainer: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-future,
               python3-setuptools
Standards-Version: 4.4.0
Testsuite: autopkgtest-pkg-python
Homepage: https://github.com/pyotp/pyotp
Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyotp.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyotp

Package: python3-pyotp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python One Time Password Library
 This package contains a Python library for generating and verifying one-time
 passwords. It can be used to implement two-factor (2FA) or multi-factor (MFA)
 authentication methods in web applications and in other systems that
 require users to log in.
 .
 Quick overview of using One Time Passwords on your phone:
 .
  * OTPs involve a shared secret, stored both on the phone and the server
  * OTPs can be generated on a phone without internet connectivity
  * OTPs should always be used as a second factor of authentication(if your
    phone is lost, you account is still secured with a password)
  * Google Authenticator allows you to store multiple OTP secrets and provision
    those using a QR Code(no more typing in the secret)

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyotp

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-pyotp 2.6.0

=== debian/changelog ===
python-pyotp (2.6.0-3) unstable; urgency=medium

  * Team upload.
  * d/{control,rules,t/unittests} : add b-d on pytest and force test to
    run via pytest other than deprecated "python3 setup.py test".
  * d/t/{control,unittests}: run autopkgtests in AUTOPKGTEST_TMP dir.

 -- Mohammed Bilal <mdbilal@disroot.org>  Sun, 04 Dec 2022 20:09:04 +0530

python-pyotp (2.6.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 28 Oct 2022 19:29:57 +0100

python-pyotp (2.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Thomas Goirand ]
  * New upstream release (Closes: #1001994).
  * Set Debian Python Team as maintainer assuming this was the initial
    intention of Hugo Lefeuvre. Added myself as uploader.
  * Ran wrap-and-sort -bastk.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jul 2022 17:21:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,32 @@
 Source: python-pyotp
 Section: python
 Priority: optional
-Maintainer: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
-               python3-all,
-               python3-future,
-               python3-setuptools
-Standards-Version: 4.4.0
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders:
+ Hugo Lefeuvre <hle@debian.org>,
+ Thomas Goirand <zigo@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-python,
+ python3-all,
+ python3-future,
+ python3-setuptools,
+ python3-pytest <!nocheck>
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pyotp/pyotp
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-pyotp.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-pyotp
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyotp.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyotp
 
 Package: python3-pyotp
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends}
-Recommends: ${python3:Recommends}
-Suggests: ${python3:Suggests}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ ${python3:Recommends},
+Suggests:
+ ${python3:Suggests},
 Description: Python One Time Password Library
  This package contains a Python library for generating and verifying one-time
  passwords. It can be used to implement two-factor (2FA) or multi-factor (MFA)

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyotp
export PYBUILD_TEST_ARGS=-v test.py

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/pyotp/pyotp-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-pyotp 2.9.0

=== debian/changelog ===
python-pyotp (2.9.0-2) unstable; urgency=medium

  * Team upload.
  * remove useless, deprecated, build-dep python3-future
  * use new dh-sequence-python3
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Thu, 04 Jan 2024 14:12:44 +0100

python-pyotp (2.9.0-1) unstable; urgency=medium

  [ Bastian Germann ]
  * [80b079d] Remove retired Uploader (Closes: #1050258)

  [ Anton Gladky ]
  * [bb67921] New upstream version 2.9.0.
  * [a054144] Add myself to uploaders.
  * [19eefad] Set upstream metadata fields: Repository.
  * [c902328] Update standards version to 4.6.2, no changes needed.
  * [e737793] Add .gitlab-ci.yml.

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Oct 2023 21:38:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Hugo Lefeuvre <hle@debian.org>,
+ Anton Gladky <gladk@debian.org>,
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-future,
  python3-setuptools,
  python3-pytest <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-python
 Homepage: https://github.com/pyotp/pyotp
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyotp.git

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=pyotp
export PYBUILD_TEST_ARGS=-v test.py

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests
Depends:@, python3-all, python3-pytest
Restrictions: allow-stderr needs-root
